Consistency: tabs to spaces

merge-requests/18/head
g0t mi1k 2 months ago
parent 26efadcc71
commit fb95194293

@ -3,13 +3,13 @@
lb clean noauto "$@"
rm -fv config/binary \
config/bootstrap \
config/chroot \
config/common \
config/source \
config/package-lists/live.list.chroot
config/bootstrap \
config/chroot \
config/common \
config/source \
config/package-lists/live.list.chroot
if [ -e config/hooks/ ]; then
find config/hooks/ -type l \
| xargs --no-run-if-empty rm -f
find config/hooks/ -type l \
| xargs --no-run-if-empty rm -f
fi

@ -6,9 +6,9 @@ set -o pipefail # Bashism
# You can put a local mirror here if you want (or you can set
# it in .mirror)
if [ -e .mirror ]; then
kali_mirror=$(cat .mirror)
kali_mirror=$(cat .mirror)
else
kali_mirror=http://kali.download/kali
kali_mirror=http://kali.download/kali
fi
### DO NOT EDIT THE REST OF THIS FILE ###
@ -21,93 +21,93 @@ arch=$(dpkg --print-architecture)
dist="kali-rolling"
lb_opts=""
while [ $# -gt 0 ]; do
arg="$1"
case "$arg" in
-a|--arch|--architecture|--architectures)
arch="$2"
temp="$temp "'"'"$arg"'"'
temp="$temp "'"'"$2"'"'
shift
;;
--distribution)
dist="$2"
shift
;;
--variant)
variant="$2"
shift
;;
-p|--proposed-updates)
enable_pu="1"
;;
--)
# Skip the separator, it was added so that "lb config"
# doesn't barf on our own options, but now we are
# filtering them away assuming that the remaining ones
# are intended for lb config !
;;
*)
temp="$temp "'"'"$arg"'"'
;;
esac
shift
arg="$1"
case "$arg" in
-a|--arch|--architecture|--architectures)
arch="$2"
temp="$temp "'"'"$arg"'"'
temp="$temp "'"'"$2"'"'
shift
;;
--distribution)
dist="$2"
shift
;;
--variant)
variant="$2"
shift
;;
-p|--proposed-updates)
enable_pu="1"
;;
--)
# Skip the separator, it was added so that "lb config"
# doesn't barf on our own options, but now we are
# filtering them away assuming that the remaining ones
# are intended for lb config !
;;
*)
temp="$temp "'"'"$arg"'"'
;;
esac
shift
done
eval set -- "$temp"
# Resolve release name
dist=$(wget -q -O- $kali_mirror/dists/$dist/Release | awk '/^Codename:/ {print $2}')
if [ -z "$dist" ]; then
echo "ERROR: Build release could not be resolved"
exit 1
echo "ERROR: Build release could not be resolved"
exit 1
fi
# live-build doesn't work if --parent-debian-distribution is unknown of
# debian-cd => we have to put a symlink so that it deals with kali like sid
if [ ! -e ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist ]; then
if [ -w ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd ]; then
ln -sf sid ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist
else
echo "ERROR: Run this first:"
echo "ln -sf sid ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist"
exit 1
fi
if [ -w ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd ]; then
ln -sf sid ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist
else
echo "ERROR: Run this first:"
echo "ln -sf sid ${LIVE_BUILD:-/usr/share/live/build}/data/debian-cd/$dist"
exit 1
fi
fi
# Define options that vary across architectures
case "$arch" in
amd64)
lb_opts="$lb_opts --debian-installer live"
;;
i386)
lb_opts="$lb_opts --debian-installer live --linux-flavours 686-pae"
;;
arm64)
lb_opts="$lb_opts --bootloaders grub-efi --uefi-secure-boot disable"
;;
armel|armhf)
lb_opts="$lb_opts --binary-images hdd --binary-filesystem ext4 --chroot-filesystem none"
;;
*)
echo "WARNING: configuration not tested on arch $arch" >&2
;;
amd64)
lb_opts="$lb_opts --debian-installer live"
;;
i386)
lb_opts="$lb_opts --debian-installer live --linux-flavours 686-pae"
;;
arm64)
lb_opts="$lb_opts --bootloaders grub-efi --uefi-secure-boot disable"
;;
armel|armhf)
lb_opts="$lb_opts --binary-images hdd --binary-filesystem ext4 --chroot-filesystem none"
;;
*)
echo "WARNING: configuration not tested on arch $arch" >&2
;;
esac
# Define options that vary across distributions
case "$dist" in
kali-last-snapshot)
# We don't want kali-last-snapshot to end up in the image, it
# should be replaced with kali-rolling
lb_opts="$lb_opts --distribution-binary kali-rolling"
lb_opts="$lb_opts --debootstrap-script /usr/share/debootstrap/scripts/kali-rolling"
;;
kali-last-snapshot)
# We don't want kali-last-snapshot to end up in the image, it
# should be replaced with kali-rolling
lb_opts="$lb_opts --distribution-binary kali-rolling"
lb_opts="$lb_opts --debootstrap-script /usr/share/debootstrap/scripts/kali-rolling"
;;
esac
# Setup configuration files from variant and options
# Drop all files that a former run might have put into place
for file in $(cd kali-config && find ./common ./variant-* -type f); do
file=${file#./*/}
rm -fv config/$file
file=${file#./*/}
rm -fv config/$file
done
rm -fv config/archives/kali-proposed-updates.list.*
@ -116,37 +116,37 @@ cp -rT kali-config/common config
[ ! -d kali-config/variant-$variant ] || cp -rTL kali-config/variant-$variant config
if [ -n "$enable_pu" ]; then
mkdir -p config/archives
echo "deb $kali_mirror $dist-proposed-updates main contrib non-free non-free-firmware" \
> config/archives/kali-proposed-updates.list.chroot
echo "deb $public_kali_mirror $dist-proposed-updates main contrib non-free non-free-firmware" \
> config/archives/kali-proposed-updates.list.binary
mkdir -p config/archives
echo "deb $kali_mirror $dist-proposed-updates main contrib non-free non-free-firmware" \
> config/archives/kali-proposed-updates.list.chroot
echo "deb $public_kali_mirror $dist-proposed-updates main contrib non-free non-free-firmware" \
> config/archives/kali-proposed-updates.list.binary
fi
lb config noauto \
--apt-indices=false \
--distribution "$dist" \
--debian-installer-distribution "$dist" \
--archive-areas "main contrib non-free non-free-firmware" \
--debootstrap-options "--keyring=/usr/share/keyrings/kali-archive-keyring.gpg" \
--keyring-packages kali-archive-keyring \
--updates false \
--backports false \
--source false \
--firmware-binary true \
--firmware-chroot true \
--mirror-bootstrap "$kali_mirror" \
--mirror-debian-installer "$kali_mirror" \
--mirror-binary "$public_kali_mirror" \
--iso-application "Kali Linux" \
--iso-publisher "Kali" \
--iso-volume "Kali Live" \
--linux-packages linux-image \
--memtest memtest86+ \
--bootappend-live "boot=live components quiet splash noeject" \
--bootappend-live-failsafe "boot=live components noeject memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=normal" \
--bootappend-install "net.ifnames=0" \
--security false \
--win32-loader false \
$lb_opts \
"$@"
--apt-indices=false \
--distribution "$dist" \
--debian-installer-distribution "$dist" \
--archive-areas "main contrib non-free non-free-firmware" \
--debootstrap-options "--keyring=/usr/share/keyrings/kali-archive-keyring.gpg" \
--keyring-packages kali-archive-keyring \
--updates false \
--backports false \
--source false \
--firmware-binary true \
--firmware-chroot true \
--mirror-bootstrap "$kali_mirror" \
--mirror-debian-installer "$kali_mirror" \
--mirror-binary "$public_kali_mirror" \
--iso-application "Kali Linux" \
--iso-publisher "Kali" \
--iso-volume "Kali Live" \
--linux-packages linux-image \
--memtest memtest86+ \
--bootappend-live "boot=live components quiet splash noeject" \
--bootappend-live-failsafe "boot=live components noeject memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=normal" \
--bootappend-install "net.ifnames=0" \
--security false \
--win32-loader false \
$lb_opts \
"$@"

@ -17,111 +17,111 @@ DEBUG=""
HOST_ARCH=$(dpkg --print-architecture)
image_name() {
case "$KALI_ARCH" in
i386|amd64|arm64)
echo "live-image-$KALI_ARCH.hybrid.iso"
;;
armel|armhf)
echo "live-image-$KALI_ARCH.img"
;;
esac
case "$KALI_ARCH" in
i386|amd64|arm64)
echo "live-image-$KALI_ARCH.hybrid.iso"
;;
armel|armhf)
echo "live-image-$KALI_ARCH.img"
;;
esac
}
target_image_name() {
local arch=$1
IMAGE_NAME="$(image_name $arch)"
IMAGE_EXT="${IMAGE_NAME##*.}"
if [ "$IMAGE_EXT" = "$IMAGE_NAME" ]; then
IMAGE_EXT="img"
fi
if [ "$KALI_VARIANT" = "default" ]; then
echo "${TARGET_SUBDIR:+$TARGET_SUBDIR/}kali-linux-$KALI_VERSION-live-$KALI_ARCH.$IMAGE_EXT"
else
echo "${TARGET_SUBDIR:+$TARGET_SUBDIR/}kali-linux-$KALI_VERSION-live-$KALI_VARIANT-$KALI_ARCH.$IMAGE_EXT"
fi
local arch=$1
IMAGE_NAME="$(image_name $arch)"
IMAGE_EXT="${IMAGE_NAME##*.}"
if [ "$IMAGE_EXT" = "$IMAGE_NAME" ]; then
IMAGE_EXT="img"
fi
if [ "$KALI_VARIANT" = "default" ]; then
echo "${TARGET_SUBDIR:+$TARGET_SUBDIR/}kali-linux-$KALI_VERSION-live-$KALI_ARCH.$IMAGE_EXT"
else
echo "${TARGET_SUBDIR:+$TARGET_SUBDIR/}kali-linux-$KALI_VERSION-live-$KALI_VARIANT-$KALI_ARCH.$IMAGE_EXT"
fi
}
target_build_log() {
TARGET_IMAGE_NAME=$(target_image_name $1)
echo ${TARGET_IMAGE_NAME%.*}.log
TARGET_IMAGE_NAME=$(target_image_name $1)
echo ${TARGET_IMAGE_NAME%.*}.log
}
default_version() {
case "$1" in
kali-*)
echo "${1#kali-}"
;;
*)
echo "$1"
;;
esac
case "$1" in
kali-*)
echo "${1#kali-}"
;;
*)
echo "$1"
;;
esac
}
failure() {
echo "Build of $KALI_DIST/$KALI_VARIANT/$KALI_ARCH live image failed (see build.log for details)" >&2
echo "Log: $BUILD_LOG" >&2
exit 2
echo "Build of $KALI_DIST/$KALI_VARIANT/$KALI_ARCH live image failed (see build.log for details)" >&2
echo "Log: $BUILD_LOG" >&2
exit 2
}
run_and_log() {
if [ -n "$VERBOSE" ] || [ -n "$DEBUG" ]; then
printf "RUNNING:" >&2
for _ in "$@"; do
[[ $_ =~ [[:space:]] ]] && printf " '%s'" "$_" || printf " %s" "$_"
done >&2
printf "\n" >&2
"$@" 2>&1 | tee -a "$BUILD_LOG"
else
"$@" >>"$BUILD_LOG" 2>&1
fi
return $?
if [ -n "$VERBOSE" ] || [ -n "$DEBUG" ]; then
printf "RUNNING:" >&2
for _ in "$@"; do
[[ $_ =~ [[:space:]] ]] && printf " '%s'" "$_" || printf " %s" "$_"
done >&2
printf "\n" >&2
"$@" 2>&1 | tee -a "$BUILD_LOG"
else
"$@" >>"$BUILD_LOG" 2>&1
fi
return $?
}
debug() {
if [ -n "$DEBUG" ]; then
echo "DEBUG: $*" >&2
fi
if [ -n "$DEBUG" ]; then
echo "DEBUG: $*" >&2
fi
}
clean() {
debug "Cleaning"
run_and_log $SUDO lb clean --purge
#run_and_log $SUDO umount -l $(pwd)/chroot/proc
#run_and_log $SUDO umount -l $(pwd)/chroot/dev/pts
#run_and_log $SUDO umount -l $(pwd)/chroot/sys
#run_and_log $SUDO rm -rf $(pwd)/chroot
#run_and_log $SUDO rm -rf $(pwd)/binary
debug "Cleaning"
run_and_log $SUDO lb clean --purge
#run_and_log $SUDO umount -l $(pwd)/chroot/proc
#run_and_log $SUDO umount -l $(pwd)/chroot/dev/pts
#run_and_log $SUDO umount -l $(pwd)/chroot/sys
#run_and_log $SUDO rm -rf $(pwd)/chroot
#run_and_log $SUDO rm -rf $(pwd)/binary
}
print_help() {
echo "Usage: $0 [<option>...]"
echo
for x in $(echo "${BUILD_OPTS_LONG}" | sed 's_,_ _g'); do
x=$(echo $x | sed 's/:$/ <arg>/')
echo " --${x}"
done
echo
echo "More information: https://www.kali.org/docs/development/live-build-a-custom-kali-iso/"
exit 0
echo "Usage: $0 [<option>...]"
echo
for x in $(echo "${BUILD_OPTS_LONG}" | sed 's_,_ _g'); do
x=$(echo $x | sed 's/:$/ <arg>/')
echo " --${x}"
done
echo
echo "More information: https://www.kali.org/docs/development/live-build-a-custom-kali-iso/"
exit 0
}
require_package() {
local pkg=$1
local required_version=$2
local pkg_version=
pkg_version=$(dpkg-query -f '${Version}' -W $pkg || true)
if [ -z "$pkg_version" ]; then
echo "ERROR: You need $pkg, but it is not installed" >&2
exit 1
fi
if dpkg --compare-versions "$pkg_version" lt "$required_version"; then
echo "ERROR: You need $pkg (>= $required_version), you have $pkg_version" >&2
exit 1
fi
debug "$pkg version: $pkg_version"
local pkg=$1
local required_version=$2
local pkg_version=
pkg_version=$(dpkg-query -f '${Version}' -W $pkg || true)
if [ -z "$pkg_version" ]; then
echo "ERROR: You need $pkg, but it is not installed" >&2
exit 1
fi
if dpkg --compare-versions "$pkg_version" lt "$required_version"; then
echo "ERROR: You need $pkg (>= $required_version), you have $pkg_version" >&2
exit 1
fi
debug "$pkg version: $pkg_version"
}
# Allowed command line options
@ -136,56 +136,56 @@ debug "BUILD_LOG: $BUILD_LOG"
temp=$(getopt -o "$BUILD_OPTS_SHORT" -l "$BUILD_OPTS_LONG,get-image-path" -- "$@")
eval set -- "$temp"
while true; do
case "$1" in
-d|--distribution) KALI_DIST="$2"; shift 2; ;;
-p|--proposed-updates) OPT_pu="1"; shift 1; ;;
-a|--arch) KALI_ARCH="$2"; shift 2; ;;
-v|--verbose) VERBOSE="1"; shift 1; ;;
-D|--debug) DEBUG="1"; shift 1; ;;
-h|--help) print_help; ;;
--variant) KALI_VARIANT="$2"; shift 2; ;;
--version) KALI_VERSION="$2"; shift 2; ;;
--subdir) TARGET_SUBDIR="$2"; shift 2; ;;
--get-image-path) ACTION="get-image-path"; shift 1; ;;
--clean) ACTION="clean"; shift 1; ;;
--no-clean) NO_CLEAN="1"; shift 1 ;;
--) shift; break; ;;
*) echo "ERROR: Invalid command-line option: $1" >&2; exit 1; ;;
esac
case "$1" in
-d|--distribution) KALI_DIST="$2"; shift 2; ;;
-p|--proposed-updates) OPT_pu="1"; shift 1; ;;
-a|--arch) KALI_ARCH="$2"; shift 2; ;;
-v|--verbose) VERBOSE="1"; shift 1; ;;
-D|--debug) DEBUG="1"; shift 1; ;;
-h|--help) print_help; ;;
--variant) KALI_VARIANT="$2"; shift 2; ;;
--version) KALI_VERSION="$2"; shift 2; ;;
--subdir) TARGET_SUBDIR="$2"; shift 2; ;;
--get-image-path) ACTION="get-image-path"; shift 1; ;;
--clean) ACTION="clean"; shift 1; ;;
--no-clean) NO_CLEAN="1"; shift 1 ;;
--) shift; break; ;;
*) echo "ERROR: Invalid command-line option: $1" >&2; exit 1; ;;
esac
done
# Set default values
KALI_ARCH=${KALI_ARCH:-$HOST_ARCH}
if [ "$KALI_ARCH" = "x64" ]; then
KALI_ARCH="amd64"
KALI_ARCH="amd64"
elif [ "$KALI_ARCH" = "x86" ]; then
KALI_ARCH="i386"
KALI_ARCH="i386"
fi
debug "KALI_ARCH: $KALI_ARCH"
if [ -z "$KALI_VERSION" ]; then
KALI_VERSION="$(default_version $KALI_DIST)"
KALI_VERSION="$(default_version $KALI_DIST)"
fi
debug "KALI_VERSION: $KALI_VERSION"
# Check parameters
debug "HOST_ARCH: $HOST_ARCH"
if [ "$HOST_ARCH" != "$KALI_ARCH" ]; then
case "$HOST_ARCH/$KALI_ARCH" in
amd64/i386|i386/amd64)
;;
*)
echo "Can't build $KALI_ARCH image on $HOST_ARCH system." >&2
exit 1
;;
esac
case "$HOST_ARCH/$KALI_ARCH" in
amd64/i386|i386/amd64)
;;
*)
echo "Can't build $KALI_ARCH image on $HOST_ARCH system." >&2
exit 1
;;
esac
fi
# Build parameters for lb config
KALI_CONFIG_OPTS="--distribution $KALI_DIST -- --variant $KALI_VARIANT"
if [ -n "$OPT_pu" ]; then
KALI_CONFIG_OPTS="$KALI_CONFIG_OPTS --proposed-updates"
KALI_DIST="$KALI_DIST+pu"
KALI_CONFIG_OPTS="$KALI_CONFIG_OPTS --proposed-updates"
KALI_DIST="$KALI_DIST+pu"
fi
debug "KALI_CONFIG_OPTS: $KALI_CONFIG_OPTS"
debug "KALI_DIST: $KALI_DIST"
@ -195,27 +195,27 @@ export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
debug "PATH: $PATH"
if grep -q -e "^ID=debian" -e "^ID_LIKE=debian" /usr/lib/os-release; then
debug "OS: $( . /usr/lib/os-release && echo $NAME $VERSION )"
debug "OS: $( . /usr/lib/os-release && echo $NAME $VERSION )"
elif [ -e /etc/debian_version ]; then
debug "OS: $( cat /etc/debian_version )"
debug "OS: $( cat /etc/debian_version )"
else
echo "ERROR: Non Debian-based OS" >&2
echo "ERROR: Non Debian-based OS" >&2
fi
if [ ! -d "$(dirname $0)/kali-config/variant-$KALI_VARIANT" ]; then
echo "ERROR: Unknown variant of Kali live configuration: $KALI_VARIANT" >&2
echo "ERROR: Unknown variant of Kali live configuration: $KALI_VARIANT" >&2
fi
require_package live-build "1:20230502+kali4"
require_package debootstrap "1.0.97"
# We need root rights at some point
if [ "$(whoami)" != "root" ]; then
if ! which $SUDO >/dev/null; then
echo "ERROR: $0 is not run as root and $SUDO is not available" >&2
exit 1
fi
if ! which $SUDO >/dev/null; then
echo "ERROR: $0 is not run as root and $SUDO is not available" >&2
exit 1
fi
else
SUDO="" # We're already root
SUDO="" # We're already root
fi
debug "SUDO: $SUDO"
@ -224,15 +224,15 @@ debug "IMAGE_NAME: $IMAGE_NAME"
debug "ACTION: $ACTION"
if [ "$ACTION" = "get-image-path" ]; then
echo $(target_image_name $KALI_ARCH)
exit 0
echo $(target_image_name $KALI_ARCH)
exit 0
fi
if [ "$NO_CLEAN" = "" ]; then
clean
clean
fi
if [ "$ACTION" = "clean" ]; then
exit 0
exit 0
fi
cd $(dirname $0)
@ -248,7 +248,7 @@ run_and_log lb config -a $KALI_ARCH $KALI_CONFIG_OPTS "$@"
debug "Stage 2/2 - Build"
run_and_log $SUDO lb build
if [ $? -ne 0 ] || [ ! -e $IMAGE_NAME ]; then
failure
failure
fi
# If a command fails, make the whole script exit

@ -5,16 +5,16 @@ source /boot/grub/config.cfg
LINUX_LIVE
menuentry "Live system (@FLAVOUR_LIVE@ forensic mode)" {
linux @KERNEL_LIVE@ @APPEND_LIVE@ noswap noautomount
initrd @INITRD_LIVE@
linux @KERNEL_LIVE@ @APPEND_LIVE@ noswap noautomount
initrd @INITRD_LIVE@
}
menuentry "Live system with USB persistence (check kali.org/prst)" {
linux @KERNEL_LIVE@ @APPEND_LIVE@ persistence
initrd @INITRD_LIVE@
linux @KERNEL_LIVE@ @APPEND_LIVE@ persistence
initrd @INITRD_LIVE@
}
menuentry "Live system with USB Encrypted persistence" {
linux @KERNEL_LIVE@ @APPEND_LIVE@ persistent=cryptsetup persistence-encryption=luks persistence
initrd @INITRD_LIVE@
linux @KERNEL_LIVE@ @APPEND_LIVE@ persistent=cryptsetup persistence-encryption=luks persistence
initrd @INITRD_LIVE@
}
# Installer (if any)
@ -22,8 +22,8 @@ LINUX_INSTALL
if [ ! -e /boot/grub/install.cfg ]; then
menuentry "Start installer with speech synthesis" {
linux @KERNEL_GI@ speakup.synth=soft @APPEND_GI@
initrd @INITRD_GI@
linux @KERNEL_GI@ speakup.synth=soft @APPEND_GI@
initrd @INITRD_GI@
}
fi

@ -24,7 +24,7 @@ label live-persistence
append boot=live username=kali hostname=kali persistence
label live-encrypted-persistence
menu label Live system with USB ^Encrypted persistence
menu label Live system with USB ^Encrypted persistence
linux @LINUX@
initrd @INITRD@
append boot=live persistent=cryptsetup persistence-encryption=luks username=kali hostname=kali persistence

@ -10,9 +10,9 @@ fi
# This is until https://bugs.debian.org/908220 has a proper fix.
if [ -e /etc/cryptsetup-initramfs/conf-hook ]; then
if grep -q '^#CRYPTSETUP=' /etc/cryptsetup-initramfs/conf-hook; then
sed -i -e 's/^#CRYPTSETUP=.*/CRYPTSETUP=y/' /etc/cryptsetup-initramfs/conf-hook
sed -i -e 's/^#CRYPTSETUP=.*/CRYPTSETUP=y/' /etc/cryptsetup-initramfs/conf-hook
else
echo "CRYPTSETUP=y" >>/etc/cryptsetup-initramfs/conf-hook
echo "CRYPTSETUP=y" >>/etc/cryptsetup-initramfs/conf-hook
fi
fi

@ -1,4 +1,4 @@
menu background splash.png
menu background splash.png
menu color title * #FFFFFFFF *
menu color border * #00000000 #00000000 none
menu color sel * #ffffffff #26ffffff none

@ -3,11 +3,11 @@
configure_zsh() {
# Stop if zsh is not present
if [ ! -x /usr/bin/zsh ]; then
return
return
fi
# Stop if user has opted out of zsh
if echo "${LIVE_CONFIG_CMDLINE}" | grep -qs 'nozsh'; then
return
return
fi
chsh --shell /usr/bin/zsh kali
chsh --shell /usr/bin/zsh root
@ -26,8 +26,8 @@ configure_usergroups() {
kali_groups="adm dialout kaboxer vboxsf wireshark"
for grp in $kali_groups; do
getent group $grp >/dev/null || continue
usermod -a -G $grp kali
getent group $grp >/dev/null || continue
usermod -a -G $grp kali
done
}
@ -37,9 +37,9 @@ pkg_installed() {
configure_terminal() {
while read -r desktop terminal; do
pkg_installed kali-desktop-$desktop || continue
update-alternatives --verbose --set x-terminal-emulator /usr/bin/$terminal || true
break
pkg_installed kali-desktop-$desktop || continue
update-alternatives --verbose --set x-terminal-emulator /usr/bin/$terminal || true
break
done <<END
e17 terminology
gnome gnome-terminal.wrapper

@ -9,8 +9,8 @@
configure_sources_list() {
if grep -q '^deb ' /etc/apt/sources.list; then
echo "INFO: sources.list is configured, everything is fine"
return
echo "INFO: sources.list is configured, everything is fine"
return
fi
echo "INFO: sources.list is empty, setting up a default one for Kali"
@ -27,27 +27,27 @@ END
get_user_list() {
for user in $(cd /home && ls); do
if ! getent passwd "$user" >/dev/null; then
echo "WARNING: user '$user' is invalid but /home/$user exists" >&2
continue
fi
echo "$user"
if ! getent passwd "$user" >/dev/null; then
echo "WARNING: user '$user' is invalid but /home/$user exists" >&2
continue
fi
echo "$user"
done
echo "root"
}
configure_zsh() {
if grep -q 'nozsh' /proc/cmdline; then
echo "INFO: user opted out of zsh by default"
return
echo "INFO: user opted out of zsh by default"
return
fi
if [ ! -x /usr/bin/zsh ]; then
echo "INFO: /usr/bin/zsh is not available"
return
echo "INFO: /usr/bin/zsh is not available"
return
fi
for user in $(get_user_list); do
echo "INFO: changing default shell of user '$user' to zsh"
chsh --shell /usr/bin/zsh $user
echo "INFO: changing default shell of user '$user' to zsh"
chsh --shell /usr/bin/zsh $user
done
}
@ -64,11 +64,11 @@ configure_usergroups() {
kali_groups="adm dialout kaboxer vboxsf wireshark"
for user in $(get_user_list | grep -xv root); do
echo "INFO: adding user '$user' to groups '$kali_groups'"
for grp in $kali_groups; do
getent group $grp >/dev/null || continue
usermod -a -G $grp $user
done
echo "INFO: adding user '$user' to groups '$kali_groups'"
for grp in $kali_groups; do
getent group $grp >/dev/null || continue
usermod -a -G $grp $user
done
done
}
@ -78,10 +78,10 @@ pkg_installed() {
configure_terminal() {
while read -r desktop terminal; do
pkg_installed kali-desktop-$desktop || continue
echo "INFO: setting x-terminal-emulator alternative to '$terminal'"
update-alternatives --verbose --set x-terminal-emulator /usr/bin/$terminal || true
break
pkg_installed kali-desktop-$desktop || continue
echo "INFO: setting x-terminal-emulator alternative to '$terminal'"
update-alternatives --verbose --set x-terminal-emulator /usr/bin/$terminal || true
break
done <<END
e17 terminology
gnome gnome-terminal.wrapper

Loading…
Cancel
Save